﻿/* Switch Container */
.switch-container {
    display: flex;
    align-items: center; /* Center items vertically */
}

/* Switch 3 */
.switch3 {
    position: relative;
    display: inline-block;
    width: 100px; /* Width of the switch */
    height: 40px; /* Height of the switch */
    border-radius: 40px; /* Round shape for the switch */
    background-color: #f3f4f4;
    cursor: pointer;
    transition: all .3s;
    overflow: hidden;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, .3);
    margin: 0 10px; /* Margin around the switch */
}

.switch3 input {
    display: none; /* Hide the checkbox */
}

.switch3 input:checked + div {
    left: calc(100px - 35px); /* Move the slider to the right */
    box-shadow: 0px 0px 0px white;
}

.switch3 div {
    position: absolute;
    width: 32px;
    height: 32px; 
    border-radius: 32px; 
    background-color: white; 
    top: 4px; 
    left: 4px; 
    box-shadow: 0px 0px 1px rgb(150, 150, 150);
    transition: all .3s; 
}

/* Change appearance when checked */
.switch3-checked {
    background-color: blue;
    box-shadow: none;
}

/* Text for ON and OFF states */
.switch-text {
    position: absolute;
    width: 100%;
    height: 100%;
    line-height: 37px; /* Center text vertically */
    text-align: center; /* Center text horizontally */
    font-family: 'Varela Round';
    font-size: 14px;
    font-weight: bold;
    color: rgb(120, 120, 120); /* Default color for OFF state */
    left: 35px; /* Position when OFF */
    bottom: 1px; /* Bottom position */
    transition: all .3s; /* Smooth transition for text movement */
}

/* Change text position when switch is checked */
.switch3-checked .switch-text {
    right: 45px; 
    left: auto;
    bottom: 1px; 
    color: rgb(255, 255, 255); 
}

/* Switch labels */
.switch-label {
    font-family: 'Varela Round';
    font-size: 14px;
    font-weight: bold;
    margin: 0 5px; /* Margin around the labels */
}

/* Style for Practice label */
.practice-label {
    color: rgb(120, 120, 120); /* Color for Practice label */
}

/* Style for Exam label */
.exam-label {
    color: rgb(255, 255, 255); /* Color for Exam label when switch is ON */
}
/*Slider*/
.range {
    width: 100%; /* Make the range slider full width */
    padding-left: 0;
    padding-right:0;
}

.range-labels {
    width: 100%;
    display: flex;
    justify-content: space-between;
/*    margin-top: 10px;
*/

}
.range-labels span {
    font-size: 12px;
    text-align: center;
    width: 20px;
}
.pageQuestion span p, span.ql-size-small, .pageQuestion span strong {
    all: unset;
}
.pageQuestion span.questionItem {
    font-size: 1rem;
    font-weight: 600;
}
.pageQuestion span.answerItem {
    font-size: 0.875rem;
    /*font-weight: 600;*/
}
.pageQuestion .itemAns{
    min-height: 30px;
}